/* Musical Blob
 * University of Washington Computer Science and Engineering
 * Sound Capstone (CSE 481i)
 * Project Members: Nathan Armstrong, Daniel Chesney, Andrew Foster
 *
 * ListenerTest (Out of date, used for testing only)
 * Listens for clients on a specific port, and prints out relevant limb data
 * as they are received.
 */

#include <unistd.h>
#include <cstdio>
#include "OscSkeletonListener.cpp"

int main(int argc, char** argv){
	OscSkeletonListener osl(57121);
	#pragma omp parallel sections
	{
		#pragma omp section
		{
			osl.listen();
		}

		#pragma omp section
		{
			OscSkeletonListener::State state = osl.getState(), newState;
			while(true){
				usleep(500000);
				newState = osl.getState();
				if(newState != state){
					printf("State change: %d\n", newState);
					state = newState;
				}
				if(newState == OscSkeletonListener::DATA_NEW){
					TripleD left, right, torso;
					osl.getData(left, right, torso);
					left -= torso;
					right -= torso;
					printf("Left hand: (%f, %f, %f)   ",
						   left.getElemA(), left.getElemB(),
						   left.getElemC());
					printf("Right hand: (%f, %f, %f)\n",
						   right.getElemA(), right.getElemB(),
						   right.getElemC());
				}
			}
		}
	}
}
