/* Musical Blob
 * University of Washington Computer Science and Engineering
 * Sound Capstone (CSE 481i)
 * Project Members: Nathan Armstrong, Daniel Chesney, Andrew Foster
 *
 * ParticleSystem
 * For documentation, see ParticleSystem.hpp
 */

#include "ParticleSystem.hpp"

ParticleSystem::~ParticleSystem(){
	for(vector<Particle*>::iterator i = parts.begin();
		i != parts.end(); i++)
		delete (*i);
}

void ParticleSystem::addParticle(Particle& p){
	parts.push_back(&p);
}

vector<Particle*> ParticleSystem::getParticles() const{
	return vector<Particle*>(parts);
}

void ParticleSystem::applyForces(){
	vector<Particle*>::const_iterator iteri;
	for(iteri = parts.begin(); iteri != parts.end(); iteri++){
		(*iteri)->updateParticle(0.01);
		(*iteri)->clearForceAccum();
	}
}
